1. Smartlinks V2
  • API Docs Chile 🇨🇱
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Create payment (tokenless)
      • Make a charge or deferred charge
      • Void a transaction
      • Refund a transaction
      • Request deferred options
      • Authorize payments
      • Preauthorization (tokenless)
      • Reauthorize payments
      • Capture an authorized payment
      • Verify Account
      • Validate OTP
      • Bin Info V2
      • Bin Info
      • Voucher
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Card Async
      • Request a card async token
      • Init Transaction
      • Authorize payments
      • Capture an authorized payment
      • Get Status
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Authorize payments
      • Capture an authorized payment
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
        POST
      • Get a Smartlink
        GET
      • Delete a smartlink
        DELETE
      • Update a Smartlink
        PATCH
    • Payment Button
      • Create a payment button
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get platform status
      • Get gateway status
    • Subscription Transactions
      • Get subscription transactions
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Settlement
      • Query settlement
  • API Raw Card Present Payments
    • Release Notes
    • Error Catalog
    • Test Data
    • Key Exchange Process
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Refund a transaction
      • Void & Reverse
    • Card information
      • Get BIN Info
      • Bin Info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good practices
      • Refunds
      • Card Payments
      • Check your webhooks
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • documentType
    • Amount-cash-in
    • amount
    • Card
    • ChargebackListResponse
    • Channel
    • StatusComponent
    • SubscriptionTransactionsResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • networkToken
    • extra_taxes
    • ChargebackItem
    • SubscriptionTransaction
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • webhooks
    • card
    • Amount-CL
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • headers
    • currency
    • Amount
    • card_details
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • Metadata
    • transactionType
    • enc_tlv
    • ErrorResponse403
    • ErrorResponse
    • TransactionResponse
    • CommandDivider
    • extraTaxes
    • Country
    • binInfo
    • Deferred
    • deferred
    • ErrorResponse500
    • payment_method
    • RawResponse
    • CommandFeed
    • SubscriptionUpdate
    • pos_details
    • CardData
    • CommandSpace
    • ContactDetails
    • Language
    • contact_details
    • sub_merchant
    • AmountWithTip
    • CommandCut
    • Subscription
    • metadata
    • LinkFailure
    • CommandImage
    • orderDetails
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooksChargeback
    • citMit
    • network
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Smartlinks V2

Get a Smartlink

GET
/smartlink/v2/smart-link/{smartlinkId}
Get the Smartlink information that can be used to render the form in a website hosted by Kushki.

Request

Path Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-uat.kushkipagos.com/smartlink/v2/smart-link/' \
--header 'Private-Merchant-Id;'
Response Response Example
200 - Smartlink found
{
    "paymentConfig": {
        "mixedOptions": {
            "numberOfFees": 13,
            "periodicity": "weekly",
            "subscriptionDay": 28
        },
        "paymentMethod": [
            "cash",
            "credit-card",
            "transfer"
        ],
        "amount": {
            "currency": "CLP",
            "subtotalIva0": 10000,
            "iva": 0,
            "subtotalIva": 0
        },
        "subscriptionOptions": {
            "periodicity": "weekly",
            "planName": "Subscription-SmartLink",
            "amount": {
                "currency": "CLP",
                "subtotalIva0": 10000,
                "iva": 0,
                "subtotalIva": 0
            },
            "terms": "T&C suscripcion",
            "startDate": "2020-03-15"
        },
        "paymentType": "mixed"
    },
    "executionCount": 0,
    "version": "V2",
    "formConfig": [
        {
            "split": true,
            "icon": "bold",
            "name": "nombresyapellidos",
            "disabled": false,
            "label": "Nombres y apellidos",
            "placeholder": "Nombres y apellidos",
            "type": "input",
            "required": false,
            "selected": false
        },
        {
            "split": true,
            "icon": "bold",
            "name": "email",
            "disabled": false,
            "label": "E-mail",
            "placeholder": "E-mail",
            "type": "input",
            "required": false,
            "selected": false
        },
        {
            "split": true,
            "icon": "server",
            "name": "listadeseleccion",
            "options": [
                "Opcion 1",
                "Opcion 2",
                "Opcion 3"
            ],
            "index": 3,
            "disabled": false,
            "label": "Lista de selección",
            "type": "select",
            "required": false,
            "selected": false
        },
        {
            "split": true,
            "icon": "check-circle",
            "name": "seleccionmultiple",
            "options": [
                "Opcion 1",
                "Opcion 2"
            ],
            "index": 3,
            "disabled": false,
            "label": "Selección múltiple",
            "type": "checkbox",
            "required": false,
            "selected": false
        },
        {
            "split": true,
            "icon": "calendar",
            "name": "fecha",
            "index": 4,
            "disabled": false,
            "label": "Fecha",
            "type": "date",
            "required": false,
            "selected": false
        },
        {
            "split": true,
            "icon": "bold",
            "name": "areadetexto",
            "index": 4,
            "disabled": false,
            "label": "Área de texto",
            "placeholder": "Área de texto",
            "type": "area",
            "required": false,
            "selected": false
        }
    ],
    "generalConfig": {
        "productImage": "https://kushki-static.s3.amazonaws.com/smartlinks/product-image.png",
        "showTimer": true,
        "buyButtonText": "pago",
        "description": "<p>Descipción</p>",
        "executionCount": 0,
        "executionLimit": 999,
        "promotionalText": "promocional",
        "brandLogo": "https://kushki-static.s3.amazonaws.com/smartlinks/logo.png",
        "enabled": true,
        "productName": "nombre producto",
        "expirationDate": 1585717199999,
        "termsAndConditions": "tyc smartlink"
    },
    "created": 1585715919666,
    "publicMerchantId": "20000000100338110000",
    "merchantName": "CLINICA OFTALMOLOGICA",
    "styleAndStructure": {
        "primaryColor": "#00E6B2",
        "coverModel": "left",
        "structure": "cover",
        "buttonStyle": "square",
        "secondaryColor": "#023366"
    },
    "id": "4RUvloWDA",
    "merchantId": "20000000100338110000",
    "subscriptionTotalAmount": 2644.18,
    "totalAmount": 1322.09,
    "paymentConfigType": "fixed",
    "source": "console"
}
Modified at 2026-06-05 17:57:42
Previous
Create a Smartlink
Next
Delete a smartlink
Built with